Salsa20_Policy Class Reference

Salsa20 stream cipher operation. More...

`#include <salsa.h>`

Inheritance diagram for Salsa20_Policy:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 16 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 16 >
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration.
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations.
bool | CanOperateKeystream () const
| Flag indicating.
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream.
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 16 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration.

## Detailed Description

Salsa20 stream cipher operation.

Since
  Crypto++ 5.4

Definition at line 38 of file salsa.h.

The documentation for this class was generated from the following files:

- salsa.h
- salsa.cpp